package com.gic.haoban.manage.api.enums.chat;

import java.util.Objects;

/**
 * Created by wangzubo on 2023/3/13.
 */
public enum ChatActivityRewardInviteEnum {

    /**
     * 奖励人类型 1邀请人2受邀人
     */
    INVITER(1, "邀请人"),
    INVITEE(2, "受邀人"),
    ;

    public final Integer value;
    public final String desc;

    ChatActivityRewardInviteEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static String getDescByValue(Integer value) {
        for (ChatActivityRewardInviteEnum rewardInviteEnum : ChatActivityRewardInviteEnum.values()) {
            if (Objects.equals(value, rewardInviteEnum.value)) {
                return rewardInviteEnum.desc;
            }
        }
        return null;
    }


}
